Bug 484130 - "Not connected?" when printing to local USB printer
Summary: "Not connected?" when printing to local USB printer
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 11
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-02-04 22:36 UTC by Christopher Beland
Modified: 2009-08-10 12:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-10 12:14:21 UTC


Attachments (Terms of Use)
troubleshoot.txt resulting from troubleshooting run after step 12 (51.81 KB, text/plain)
2009-02-04 22:36 UTC, Christopher Beland
no flags Details
troubleshoot.txt with system-config-printer-1.1.3-7.fc11.x86_64 (30.35 KB, text/plain)
2009-02-14 03:02 UTC, Christopher Beland
no flags Details

Description Christopher Beland 2009-02-04 22:36:54 UTC
Created attachment 330929 [details]
troubleshoot.txt resulting from troubleshooting run after step 12

As user "beland":

1.) Start system-config-printer from command line, with printer off, after having previously deleted all printers.  No printer icons are shown.

2.) Power on HP LaserJet 1320 which is connected to the USB port.

3.) After about 30 seconds, I get one pop-up in the notification area that says:

 Printer added / `hp-LaserJet-1320-series' is ready for printing.

 [Print test page] [Configure]

At the same time, an error dialog box appears that says:

 CUPS server error (obtaining queue details)

 There was an error during the CUPS operation: 'server-error-service-unavailable'.

 [Cancel] [Retry]

4.) Hit [Cancel] on the second box.

5.) Hit [Print test page] on the first box.  The print queue icon appears in the notification area, but no test page prints, and I don't see it in the queue.  No printer icon appears in the system-config-printer window.

6.) Click on New icon in system-config-printer.  Supply root password.

7.) "HP hp LaserJet 1320" (which is a bit messy) is shown under Devices, description "A printer connected to a USB port."

8.) If I click on the triangle next to "Connection", I see two "HP LaserJet 1320 series" (highlighted) and "Hewlett-Packard hp LaserJet 1320 series".  If I click on the second one, I see the description change to "Local printer detected by the Hardware Abstraction Layer (HAL)."  (I click back to the first one, since that was the default.)


9.) I click [Forward] and HP is highlighted on the "Choose Driver" screen.

10.) I click [Forward] and LaserJet 1320 is highlighted under "Models" and "HP LaserJet 1320 Foomatic/hpijs [en] (recommended) is highlighted under "Drivers".  There are a large number of identical "HP LaserJet 1320 series Postscript [en]"

11.) I click [Forward] and I get the following in my terminal:

Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 3994, in on_btnNPForward_clicked
    self.nextNPTab()
  File "/usr/share/system-config-printer/system-config-printer.py", line 4201, in nextNPTab
    self.ppd = self.getNPPPD()
  File "/usr/share/system-config-printer/system-config-printer.py", line 5987, in getNPPPD
    f = self.mainapp.cups.getServerPPD(ppd)
  File "/usr/share/system-config-printer/authconn.py", line 169, in <lambda>
    return lambda *args, **kwds: self._authloop (fname, fn, *args, **kwds)
  File "/usr/share/system-config-printer/authconn.py", line 202, in _authloop
    self._ask_retry_server_error (m)
  File "/usr/share/system-config-printer/authconn.py", line 235, in _ask_retry_server_error
    self._operation_stack[0])
IndexError: list index out of range


12.) Closing that window, if I click "Refresh", I see "hp-LaserJet-1320-series".  Selecting "Properties" and trying to print a test page fails to print anything.

I also see the following in my system logs:

Feb  4 16:39:23 free-spin hal_lpadmin: Added printer hp-LaserJet-1320-series
Feb  4 16:44:00 free-spin kernel: lp0: using parport0 (interrupt-driven).
Feb  4 16:44:00 free-spin kernel: lp0: console ready


What I would expect to happen:
* When I turn on the printer, it successfully auto-configures and is ready to print.
* If I configure the printer manually, I should see clean descriptions and if I have multiple choices, they should be clearly distinguished.


cups-1.4-0.b2.3.fc11.x86_64
hal-0.5.12-19.20081219git.fc11.x86_64
hpijs-2.8.12-7.fc11.x86_64
hplip-libs-2.8.12-7.fc11.x86_64

Comment 1 Tim Waugh 2009-02-10 18:40:32 UTC
Please try system-config-printer-1.1.3-6.fc11, which should fix most of the issues you've noted, except for the actual print failure which seems to be a more low-level problem of some sort.

I'd like to check that the other issues you've mentioned are fixed, and then we can take a closer look at why USB printing is not working for you.

(One remaining issue is the large number of seemingly-identical drivers for the HP LaserJet 1320.  I've filed a separate bug report for that: bug #484927.)

Comment 2 Christopher Beland 2009-02-11 06:03:34 UTC
system-config-printer-1.1.3-6.fc11.x86_64 fails on startup with:

  File "/usr/share/system-config-printer/system-config-printer.py", line 6001
    return ppd
             ^
IndentationError: unindent does not match any outer indentation level

Comment 3 Tim Waugh 2009-02-12 08:53:38 UTC
Oops, please try system-config-printer-1.1.3-7.fc11.

Comment 4 Christopher Beland 2009-02-14 03:02:39 UTC
Created attachment 331893 [details]
troubleshoot.txt with system-config-printer-1.1.3-7.fc11.x86_64

When I delete and then power on the printer with system-config-printer-1.1.3-7.fc11.x86_64, it configures itself automatically.  I hit the "Configure" button in the notification pop-up, which opened a second instance of system-config-printer.  I closed the first instance and used the second one to rename the printer to "trip" and turn on double-sided printing. Then I tried to print a test page from the troubleshooter.  A print queue icon appears in the notification area and the test page gets queued, but the test page does not print.  After a while a popup appears that says, "Not connected? / Printer 'trip' may not be connected."  troubleshoot.txt from this run attached.

If I hit the New icon in system-config-printer to try to set the printer up manually, I get a pop-up window that says "Please Wait / Searching / 
Searching for printers" and then an error dialog that says "CUPS server error (fetching device list) / There was an error during the CUPS operation: 'server-error-service-unavailable'".

In my system logs, I see the following:

Feb 13 21:41:36 free-spin kernel: usb 4-1: new full speed USB device using uhci_hcd and address 2
Feb 13 21:41:36 free-spin kernel: usb 4-1: New USB device found, idVendor=03f0, idProduct=1d17
Feb 13 21:41:36 free-spin kernel: usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Feb 13 21:41:36 free-spin kernel: usb 4-1: Product: hp LaserJet 1320 series
Feb 13 21:41:36 free-spin kernel: usb 4-1: Manufacturer: Hewlett-Packard
Feb 13 21:41:36 free-spin kernel: usb 4-1: SerialNumber: 00CNHC5DX02W
Feb 13 21:41:36 free-spin kernel: usb 4-1: configuration #1 chosen from 1 choice
Feb 13 21:41:36 free-spin pulseaudio[2748]: module-hal-detect.c: D-Bus error while parsing HAL data: org.freedesktop.Hal.NoSuchProperty: No prop
erty info.capabilities on device with id /org/freedesktop/Hal/devices/usb_device_3f0_1d17_00CNHC5DX02W
Feb 13 21:41:36 free-spin kernel: usblp0: USB Bidirectional printer dev 2 if 0 alt 1 proto 2 vid 0x03F0 pid 0x1D17
Feb 13 21:41:36 free-spin kernel: usbcore: registered new interface driver usblp
Feb 13 21:41:36 free-spin pulseaudio[2748]: module-hal-detect.c: D-Bus error while parsing HAL data: org.freedesktop.Hal.NoSuchProperty: No prop
erty info.capabilities on device with id /org/freedesktop/Hal/devices/usb_device_3f0_1d17_00CNHC5DX02W_if0
Feb 13 21:41:37 free-spin dbus: Would reject message, 1 matched rules; type="method_call", sender=":1.48" (uid=0 pid=2969 comm="python /usr/libe
xec/hal_lpadmin --add ") interface="org.freedesktop.DBus.Introspectable" member="Introspect" error name="(unset)" requested_reply=0 destination=
":1.37" (uid=500 pid=2763 comm="python /usr/share/system-config-printer/applet.py "))
Feb 13 21:42:07 free-spin hal_lpadmin: Added printer hp-LaserJet-1320-series
Feb 13 21:44:47 free-spin ntpd[2025]: synchronized to 64.247.17.249, stratum 2
Feb 13 21:47:26 free-spin kernel: lp0: using parport0 (interrupt-driven).
Feb 13 21:47:26 free-spin kernel: lp0: console ready

Comment 5 Christopher Beland 2009-02-14 03:04:18 UTC
This is with the new cups-1.4-0.b2.6.fc11.x86_64, by the way.

Comment 6 Christopher Beland 2009-02-24 19:08:40 UTC
Now with cups-1.4-0.b2.7.fc11.x86_64 and system-config-printer-1.1.4-1.fc11.x86_64, the auto-configuration appears to succeed, but when I try to print anything, it just sits in the queue until eventually a "printer might not be connected" popup appears.  If I then set up a second instance of the printer manually, accepting all of the defaults, I can print to that successfully.

Comment 7 Bug Zapper 2009-06-09 11:04:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Tim Waugh 2009-06-17 16:57:46 UTC
There are lots of separate problems here, and I'm no longer sure which ones are still current.  Unfortunately I have been busy with other work for the last few months and have only now had time to look at this.

Here are the problems I see mentioned in comment #4:

1. "Not connected?" dialog when printing to a USB printer
2. 'server-error-service-unavailable' when trying to add a printer from system-config-printer
3. hal-cups-utils failure when hot-plugging the printer

I would really appreciate having these in separate bug reports as they are all quite different from one another.

*This* bug report will be for issue number 1, a "Not connected?" dialog when printing to a local USB printer.  So, firstly, do you still see this with Fedora 11?

Comment 9 Tim Waugh 2009-06-24 07:40:53 UTC
Oh, from comment #6, that answer is yes.

If you unplug the printer and plug it back in, does printing start?  In other words, is bug #505647 the same problem?

Comment 10 Tim Waugh 2009-08-10 12:14:21 UTC
Closing due to lack of information.


Note You need to log in before you can comment on or make changes to this bug.